header {
    background-color: var(--color-primary-dark-gray);
    box-sizing: border-box;
    color: var(--color-primary-white);
    font-size: 0;
    min-height: 90px;
    padding: 2rem 8vw;
    position: fixed;
    transition: all .5s ease-out 0s;
    width: 100%;
    z-index: 5;
}

.header-shim {
    position: relative;
    transition: all .5s ease-out 0s;
    height: 100%;
    width: 100%;
}

.path-frontpage header.header-tall {
    padding: 8rem 8vw 10rem 8vw;
    transition: all .5s ease-out 0s;
}

.path-frontpage header.header-short {
    height: 19.5rem !important;
    padding: 2rem 8vw;
    transition: all .5s ease-out 0s;
}

.region-header {
    height: 100%;
    margin: 0 auto;
    position: relative;
}

/**** begin logo block styles ***/

.block-system-branding-block {
    box-sizing: border-box;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    width: 10%;
}

.block-system-branding-block::after {
    background-color: var(--color-primary-red);
    bottom: calc(-2rem - 4px);
    content: '';
    display: block;
    height: 4px;
    left: 0;
    position: absolute;
    width: 100%;
}

.block-system-branding-block .svg {
    display: block;
    height: auto;
    width: 100%;
}

/*** end logo block styles ***/

/*** begin search block styles ***/

#block-vendisearchicon {
    position: absolute;
    right: calc(25px + 5rem);
    top: 50%;
    transform: translateY(-50%);
    width: auto;
}

#block-vendisearchicon svg {
    height: auto;
    width: 25px;
}

/*** end search block styles ***/

/*** begin main menu trigger styles ***/

#block-mobilemenuicon {
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

#block-mobilemenuicon .contextual {
    display: none !important;
}

.menu-btn.mobile-menu {
    transition: all 0.3s ease-out;
    display: block;
    height: 32px;
    width: 32px;
}

.menu-btn.mobile-menu .mobile-menu-patty {
    will-change: transform, opacity;
    width: 32px;
    height: 3px;
    margin: 0 0 6px 0;
    background: var(--color-primary-white);
    opacity: 1;
    transform: translate(0) rotate(0deg);
    transition: all 0.2s ease-out;
}

.menu-btn.mobile-menu .mobile-menu-patty:last-child {
    margin-bottom: 0;
}

#block-sidrtriggerbuttonblock button {
    background-color: transparent;
    border: none;
}

#block-sidrtriggerbuttonblock .main-menu-icon {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAzNiAyMyIgZmlsbD0iY3VycmVudENvbG9yIj48cGF0aCBkPSJNMCAwaDMydjNIMFYwem00IDEwaDMydjNINHYtM3pNMCAyMGgzMnYzSDB2LTN6IiBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGNsaXAtcnVsZT0iZXZlbm9kZCIgZmlsbD0iI2ZmZiIvPjwvc3ZnPg==);
    background-repeat: no-repeat;
    background-position: center center;
    display: block;
    height: 25px;
    width: 25px;
}

/*** end main menu trigger styles ***/

@media (max-width: 1366px) {

    .path-frontpage header.header-tall {
        padding: 6rem 8vw 10rem 8vw;
    }
}

@media (max-width: 1024px) {

    .block-system-branding-block {
        width: 16%;
    }
}

@media (max-width: 768px) {

    header {
        position: relative;
        transition: none;
    }

    .path-frontpage header.header-short,
    .path-frontpage header.header-tall {
        padding: 2rem 8vw;
    }

    .header-shim {
        display: none;
    }

    .block-system-branding-block {
        width: 30%;
    }

    .block-system-branding-block::after {
        bottom: calc(-1rem - 4px);
    }

    #block-sidrtriggerbuttonblock {
        transform: translateY(calc(-50% + 1rem - 2px));
    }

}
